/*
 * Copyright (C) 1989,1990 by Frederic Hemmer               CERN-DD/SW
 * All rights reserved
 */

/* vmextern.h  - handles external names for VM/CMS                  */

/*
 * IBM's VM/CMS doesn't allow externals to be more than 8 characters
 * So we "glue" 8 characters names to the real ones.
 */

/* C Error codes                                                    */

#define rpc_err_mess_array     way_ema
#define rpc_err_mess_struct    way_ems
#define rpc_register_errors    way_re
#define rpc_unregister_errors  way_ue

/* WAY Error codes                                                  */

#define way_err_mess_array     way_ema
#define way_err_mess_struct    way_ems
#define way_register_errors    way_re
#define way_unregister_errors  way_ue

/* MPS Error codes                                                    */

#define mps_err_mess_array     mps_ema
#define mps_err_mess_struct    mps_ems
#define mps_register_errors    mps_re
#define mps_unregister_errors  mps_ue

/* Error message translation                                           */

#define err_translate          err_trnl
#define err_register           err_reg
#define err_unregister         err_ureg

/* RPC library routines                                               */

#define rpc_accept             rpc_acp
#define rpc_attach_stub        rpc_astb
#define rpc_call               rpc_cal
#define rpc_call_status        rpc_cst
#define rpc_caller_address     rpc_caa
#define rpc_close              rpc_cls
#define rpc_configure          rpc_cfg
#define rpc_create_server      rpc_csrv
#define rpc_delete_server      rpc_dsrv
#define rpc_detach_stub        rpc_dstb
#define rpc_dispose            rpc_dsp
#define rpc_early_return       rpc_eret
#define rpc_establish          rpc_est
#define rpc_get_string         rpc_gstr
#define rpc_hardware_reset     rpc_hrst
#define rpc_handle_call        rpc_hcal
#define rpc_init               rpc_ini
#define rpc_loop_server        rpc_lsrv
#define rpc_new                rpc_nw
#define rpc_open               rpc_opn
#define rpc_queue_server       rpc_qsrv
#define rpc_report_error       rpc_rerr
#define rpc_service            rpc_serv
#define rpc_specify_stub       rpc_sstb
#define rpc_start_server       rpc_ssrv
#define rpc_switch             rpc_sw

#define rpc_trace              rpc_trc
#define rpc_set_trace          rpc_strc

/* Transport routines                                                  */

#define ts_receive             ts_recv
#define ts_peer_address        ts_paddr
#define ts_my_address          ts_maddr
#define tcp_receive            tcp_recv
#define tcp_peer_address       tcp_padr
#define tcp_my_address         tcp_madr
#define tcp_close              tcp_cls
#define inet_status            inet_st

/* Miscellaneous TS routines                                           */

#define hex_message            ts_hmsg
#define check_socket           ts_csck
#define parse_cardinal         ts_pcard
#define name_match             ts_nmtch
#define G96_addrstr            ts_G96as

/* Miscellaneous RTS routines                                          */

#define active_server_list     rts_asvl
#define caller_socket          rts_csck
#define character_match        rts_chm
#define client_list            rts_clst
#define find_local             rts_flcl
#define find_remote            rts_frmt
#define free_messages          rts_fmsg
#define free_client_list       rts_fcll
#define free_program_list      rts_fpgl
#define next_program_number    rts_npgn
#define program_list           rts_pgl
#define user_error_handler     rts_ueh

/* WAY routines                                                        */

#define way_request            way_rqst
#define way_register           way_reg
#define way_unregister         way_ureg
#define open_way               way_opn
#define close_way              way_cls

/* Configuration Manager routines                                      */

#define cm_translate           cm_trl
#define cm_request             cm_rqst
#define cm_register            cm_reg
#define cm_unregister          cm_ureg
#define cm_init                cm_ini
#define translated             trnlnm

/* Wollongong emulation for SRI Multinet package                       */

#define socket_read            sri_rd
#define socket_write           sri_wr
#define socket_close           sri_cl

